CREATE TABLE cmr_asn_intransit_amts (
    ASN_INTRANSIT_ID            NUMBER(18, 0) ,
    BILL_TO_BUSINESS_UNIT_ID    NUMBER(18, 0)     NOT NULL,
    BUSINESS_UNIT_ID            NUMBER(18, 0) ,
    INVENTORY_ORG_ID            NUMBER(18, 0) ,
    PERIOD_NAME                 VARCHAR2(60)  ,
    RUN_DATE                    TIMESTAMP(6)  ,
    PERIOD_START_DATE           DATE          ,
    PERIOD_END_DATE             DATE          ,
    INVENTORY_ITEM_ID           NUMBER(18, 0) ,
    TRANSACTION_DATE            DATE          ,
    TRANSACTION_TYPE            VARCHAR2(100) ,
    SHIPMENT_DATE               DATE          ,
    LATEST_RECEIPT_DATE         DATE          ,
    RECEIPT_NUMBER              VARCHAR2(80)  ,
    SHIPMENT_QUANTITY           NUMBER        ,
    RECEIVED_QUANTITY           NUMBER        ,
    INTRANSIT_QUANTITY          NUMBER        ,
    INTRANSIT_AMOUNT            NUMBER        ,
    REVERSAL_QUANTITY           NUMBER        ,
    RUN_MODE                    VARCHAR2(120) ,
    POSTED_FLAG                 VARCHAR2(4)   ,
    SHIPMENT_LINE_ID            NUMBER(18, 0) ,
    ASN_LINE_NUMBER             NUMBER(18, 0) ,
    SHIPMENT_HEADER_ID          NUMBER(18, 0) ,
    FUNC_CURRENCY_CODE          VARCHAR2(60)  ,
    INTRANSIT_AMT_FUNC_CURR     NUMBER        ,
    CURRENCY_CODE               VARCHAR2(60)  ,
    CURRENCY_CONVERSION_TYPE    VARCHAR2(120) ,
    CURRENCY_CONVERSION_RATE    NUMBER        ,
    CURRENCY_CONVERSION_DATE    TIMESTAMP(6)  ,
    ASN_UOM_CODE                VARCHAR2(12)  ,
    SOURCE_DOC_UOM_CODE         VARCHAR2(12)  ,
    UOM_CONVERSION_FACTOR       NUMBER        ,
    PO_PRICE                    NUMBER        ,
    NR_TAX                      NUMBER        ,
    PO_LINE_LOCATION_ID         NUMBER(18, 0) ,
    PO_NUMBER                   VARCHAR2(160)     NOT NULL,
    SHIPMENT_NUMBER             VARCHAR2(160) ,
    FOB_LOOKUP_CODE             VARCHAR2(120) ,
    DESTINATION_TYPE_CODE       VARCHAR2(100) ,
    VENDOR_ID                   NUMBER(18, 0) ,
    VENDOR_SITE_ID              NUMBER(18, 0) ,
    RETURN_QUANTITY             NUMBER        ,
    PRIOR_INTRANSIT_QUANTITY    NUMBER        ,
    RETRO_PRICE_FLAG            VARCHAR2(8)   ,
    NEW_PO_PRICE                NUMBER        ,
    NEW_NR_TAX                  NUMBER        ,
    SCHEDULE_STATUS             VARCHAR2(100) ,
    OWNERSHIP_CHANGE            VARCHAR2(256) ,
    LINE_NUMBER                 VARCHAR2(160) ,
    SHIP_TO_LOCATION_ID         NUMBER(18, 0) ,
    PO_ITEM_DESCRIPTION         VARCHAR2(960) ,
    PO_SCHEDULE_NUMBER          VARCHAR2(160) ,
    ASN_STATUS                  VARCHAR2(100) ,
    REQUEST_ID                  NUMBER(18, 0) ,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    JOB_DEFINITION_NAME         VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE      VARCHAR2(3600),
    LE_TIMEZONE_CODE            VARCHAR2(200) ,
    ASN_INTRANSIT_ID            NUMBER(18, 0) ,
    BILL_TO_BUSINESS_UNIT_ID    NUMBER(18, 0)     NOT NULL,
    BUSINESS_UNIT_ID            NUMBER(18, 0) ,
    INVENTORY_ORG_ID            NUMBER(18, 0) ,
    PERIOD_NAME                 VARCHAR2(60)  ,
    RUN_DATE                    TIMESTAMP(6)  ,
    PERIOD_START_DATE           DATE          ,
    PERIOD_END_DATE             DATE          ,
    INVENTORY_ITEM_ID           NUMBER(18, 0) ,
    TRANSACTION_DATE            DATE          ,
    TRANSACTION_TYPE            VARCHAR2(100) ,
    SHIPMENT_DATE               DATE          ,
    LATEST_RECEIPT_DATE         DATE          ,
    RECEIPT_NUMBER              VARCHAR2(80)  ,
    SHIPMENT_QUANTITY           NUMBER        ,
    RECEIVED_QUANTITY           NUMBER        ,
    INTRANSIT_QUANTITY          NUMBER        ,
    INTRANSIT_AMOUNT            NUMBER        ,
    REVERSAL_QUANTITY           NUMBER        ,
    RUN_MODE                    VARCHAR2(120) ,
    POSTED_FLAG                 VARCHAR2(4)   ,
    SHIPMENT_LINE_ID            NUMBER(18, 0) ,
    ASN_LINE_NUMBER             NUMBER(18, 0) ,
    SHIPMENT_HEADER_ID          NUMBER(18, 0) ,
    FUNC_CURRENCY_CODE          VARCHAR2(60)  ,
    INTRANSIT_AMT_FUNC_CURR     NUMBER        ,
    CURRENCY_CODE               VARCHAR2(60)  ,
    CURRENCY_CONVERSION_TYPE    VARCHAR2(120) ,
    CURRENCY_CONVERSION_RATE    NUMBER        ,
    CURRENCY_CONVERSION_DATE    TIMESTAMP(6)  ,
    ASN_UOM_CODE                VARCHAR2(12)  ,
    SOURCE_DOC_UOM_CODE         VARCHAR2(12)  ,
    UOM_CONVERSION_FACTOR       NUMBER        ,
    PO_PRICE                    NUMBER        ,
    NR_TAX                      NUMBER        ,
    PO_LINE_LOCATION_ID         NUMBER(18, 0) ,
    PO_NUMBER                   VARCHAR2(160)     NOT NULL,
    SHIPMENT_NUMBER             VARCHAR2(160) ,
    FOB_LOOKUP_CODE             VARCHAR2(120) ,
    DESTINATION_TYPE_CODE       VARCHAR2(100) ,
    VENDOR_ID                   NUMBER(18, 0) ,
    VENDOR_SITE_ID              NUMBER(18, 0) ,
    RETURN_QUANTITY             NUMBER        ,
    PRIOR_INTRANSIT_QUANTITY    NUMBER        ,
    RETRO_PRICE_FLAG            VARCHAR2(8)   ,
    NEW_PO_PRICE                NUMBER        ,
    NEW_NR_TAX                  NUMBER        ,
    SCHEDULE_STATUS             VARCHAR2(100) ,
    OWNERSHIP_CHANGE            VARCHAR2(256) ,
    LINE_NUMBER                 VARCHAR2(160) ,
    SHIP_TO_LOCATION_ID         NUMBER(18, 0) ,
    PO_ITEM_DESCRIPTION         VARCHAR2(960) ,
    PO_SCHEDULE_NUMBER          VARCHAR2(160) ,
    ASN_STATUS                  VARCHAR2(100) ,
    REQUEST_ID                  NUMBER(18, 0) ,
    CREATED_BY                  VARCHAR2(256)     NOT NULL,
    CREATION_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY             VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128) ,
    JOB_DEFINITION_NAME         VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE      VARCHAR2(3600),
    LE_TIMEZONE_CODE            VARCHAR2(200) ,
    CONSTRAINT pk_cmr_asn_intransit_amts PRIMARY KEY (ASN_INTRANSIT_ID, ASN_INTRANSIT_ID)
);
